[BUGFIX] Avoid insufficient workspace version constraint